/* Night
 *
 * Version 1.4
 * 2/19/2021
 *
 * Main program
 *
 * main.c
 */

#include <errno.h>
#include <stdio.h>
#include <string.h>
#include "night.h"

int main(int argc, char *argv[])
{
	if (argc != 2 && argc != 3)
	{
		printf("Usage: %s <file>\n       %s -s '<text>'\n       %s -h\n", argv[0], argv[0], argv[0]);
		return(1);
	} else if (argc == 3 && strcmp(argv[1], "-s"))
	{
		printf("%s: invalid option '%s'\n", argv[0], argv[1]);
		return(1);
	} else if (argc == 3 && !strcmp(argv[1], "-s"))
	{
		printf("%s\n", night(argv[2]));
		return(0);
	} else if (argc == 2 && !strcmp(argv[1], "-h"))
	{
		printf("Usage: %s <file>\n       %s -s '<text>'\n       %s -h\n", argv[0], argv[0], argv[0]);
		printf("\n%s", CODE_TABLE);
		return(0);
	} else if (argc == 2 && strcmp(argv[1], "-h"))
	{
		if (ftype(argv[1]) == 0)
		{
			fprintf(stderr, "%s: %s: %s\n", argv[0], argv[1], strerror(errno));
			return(1);
		} else if (ftype(argv[1]) == 2) {
			fprintf(stderr, "%s: %s: Is a directory\n", argv[0], argv[1]);
			return(1);
		}
		nightfile(argv[1]);
	}
	return(0);
}
